import path_setting
from in_common.base_request import BaseRequest


class living_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.LIVEYAML_CONFIG)
        print('=====',self.data)
    def danmu_v2(self,channel_id,msg_id,user_id=""):
        self.params["channel_id"] = channel_id
        self.params["msg_id"] = msg_id
        self.params["user_id"] = user_id
        return self.api_send(self.data["danmu_v2"])

if __name__ == '__main__':
    (living_request().danmu_v2("739","1",""))